gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.FocusEvent

Contents

- Exported types
- Methods
  - getIn

Description

An event related to a keyboard focus change.

Synopsis

- newtype FocusEvent = FocusEvent (ManagedPtr FocusEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf FocusEvent o) => IsFocusEvent o
- toFocusEvent :: (MonadIO m, IsFocusEvent o) => o -> m FocusEvent
- focusEventGetIn :: (HasCallStack, MonadIO m, IsFocusEvent a) => a -> m Bool

# Exported types

newtype FocusEvent Source #

Memory-managed wrapper type.

Constructors

FocusEvent (ManagedPtr FocusEvent) |

#### Instances

Instances details

Eq FocusEvent Source # |
Instance details Defined in GI.Gdk.Objects.FocusEvent Methods (==) :: FocusEvent -> FocusEvent -> Bool Source # (/=) :: FocusEvent -> FocusEvent -> Bool Source #
BoxedPtr FocusEvent Source # |
Instance details Defined in GI.Gdk.Objects.FocusEvent Methods boxedPtrCopy :: FocusEvent -> IO FocusEvent Source # boxedPtrFree :: FocusEvent -> IO () Source #
ManagedPtrNewtype FocusEvent Source # |
Instance details Defined in GI.Gdk.Objects.FocusEvent Methods toManagedPtr :: FocusEvent -> ManagedPtr FocusEvent Source #
TypedObject FocusEvent Source # |
Instance details Defined in GI.Gdk.Objects.FocusEvent Methods glibType :: IO GType Source #
HasParentTypes FocusEvent Source # |
Instance details Defined in GI.Gdk.Objects.FocusEvent
type ParentTypes FocusEvent Source # |
Instance details Defined in GI.Gdk.Objects.FocusEvent type ParentTypes FocusEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf FocusEvent o) => IsFocusEvent o Source #

Type class for types which can be safely cast to `FocusEvent`, for instance with `toFocusEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf FocusEvent o) => IsFocusEvent o Source # |
Instance details Defined in GI.Gdk.Objects.FocusEvent

toFocusEvent :: (MonadIO m, IsFocusEvent o) => o -> m FocusEvent Source #

Cast to `FocusEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getDevice, getDeviceTool, getDisplay, getEventSequence, getEventType, getHistory, getIn, getModifierState, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.

## getIn

focusEventGetIn Source #

Arguments

:: (HasCallStack, MonadIO m, IsFocusEvent a) |
=> a | `event`: a focus change event
-> m Bool | Returns: `True` of the focus is entering

Extracts whether this event is about focus entering or leaving the surface.